# README #

A discord bot for the trifecta discord channel

### What is this repository for? ###

* Here we track issues and collaborate on the bot

### How do I get set up? ###

* You'll need to install docker
    * as root (`sudo -s`)
    * `curl -Ls get.docker.com | bash`
    * Give yourself docker permissions `sudo usermod -aG docker <your username>`

### Testing your changes ###
* Build the testing container by running
  * `./test-dragon-bot.sh`
  * The dragon-bot-test bot will connect to the server.
  * If you want to test what the bot is seeing when you type commands, add LOTS of of print statements to dragon-bot.py
  * you will see the output in the terminal. This is useful for debugging
* pipeline [here](https://gitlab.com/ldooks/dragon-bot/pipelines)

### Contribution guidelines ###

* Make your changes
* create a pull request
* copy-paste the output of `test_container.sh` on your pull request to prove everything worked


### Who do I talk to? ###

* Bad dragon in discord